> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.withpersona.com/2020-05-18/api-reference/inquiries/list-all-inquiries/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server. # List all Inquiries GET https://api.withpersona.com/api/v1/inquiries Returns a list of your organization's inquiries. Note that this endpoint aggregates inquiries across all inquiry template(s). See [Pagination](https://docs.withpersona.com/pagination) for more details about handling the response. Results are returned in reverse chronological order, with the most recently created objects first. Reference: https://docs.withpersona.com/api-reference/inquiries/list-all-inquiries ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Query parameters - `page` (InquiriesGetParametersPage, optional) - `fields` (map from string to string, optional) — Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details. - `filter` (InquiriesGetParametersFilter, optional) ### Headers - `Key-Inflection` (enum, optional) — Determines casing for the API response. - Allowed values: `camel`, `kebab`, `snake` - `Idempotency-Key` (string, optional) — Ensures the request is idempotent. - `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning). - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18` ## Response ### 200 This endpoint returns a collection of Inquiry objects. - `data` (list of inquiry, required) — An array of Inquiries - `links` (InquiriesGetResponsesContentApplicationJsonSchemaLinks, required) ## Errors ### 400 Bad Request Error The request was unacceptable, often due to invalid parameters. - `errors` (list of InquiriesGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 401 Unauthorized Error An invalid API key was provided. - `errors` (list of InquiriesGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 403 Forbidden Error The given API key doesn’t have permissions to perform the request or a quota has been exceeded. - `errors` (list of InquiriesGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 429 Too Many Requests Error Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests. - `errors` (list of InquiriesGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ## Types ### InquiriesGetParametersPage - `after` (string, optional) — Object ID for pagination cursor - `before` (string, optional) — Object ID for pagination cursor - `size` (double, optional) — Limit on the number of objects returned ### InquiriesGetParametersFilter - `inquiry-id` (string, optional) — Comma separated list of inquiry IDs (starting with `inq_`) to filter inquiries by - `account-id` (string, optional) — Comma separated list of account IDs (starting with `act_`) to filter inquiries by - `note` (string, optional) — Filter inquiries by note. Must be the only filter. - `reference-id` (string, optional) — Filter inquiries by reference ID - `inquiry-template-id` (string, optional) — Comma separated list of inquiry template IDs (starting with `itmpl_`) to filter inquiries by - `template-id` (string, optional) — Comma separated list of legacy template IDs (starting with `tmpl_`) to filter inquiries by - `status` (string, optional) — Comma separated list of statuses to filter inquiries by - `created-at-start` (datetime, optional) — Filter inquiries by creation date, equal to or later than - `created-at-end` (datetime, optional) — Filter inquiries by creation date, earlier than or equal to ### inquiry An Inquiry object - `id` (string, required) - `attributes` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributes, required) - `relationships` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationships, required) ### InquiriesGetResponsesContentApplicationJsonSchemaLinks - `prev` (string, required, nullable) — URL pointing to the previous page of data, or null if on the first page. - `next` (string, required, nullable) — URL pointing to the next page of data, or null if on the last page. ### InquiriesGetResponsesContentApplicationJsonSchemaErrorsItems - `title` (string, optional) - `details` (string, optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributes - `status` (string, required) — The status of the Inquiry Possible values: - created - pending - completed - expired - failed - needs_review - approved - declined Do not assume this is a static enumeration; Persona may add new values in the future without a versioned update. - `reference-id` (string, required, nullable) - `note` (string, required, nullable) - `behaviors` (map from string to any, required, nullable) — Risk signals surfaced to enterprise customers. Specific keys are not enumerated in the public spec and may be added or removed over time. Contact your Persona account team for more information. - `tags` (list of string, required) - `creator` (string, required) - `reviewer-comment` (string, required, nullable) - `created-at` (datetime, required) - `updated-at` (datetime, required) - `started-at` (datetime, required, nullable) - `expires-at` (datetime, required, nullable) - `completed-at` (datetime, required, nullable) - `failed-at` (datetime, required, nullable) — Set when an Inquiry transitions to `failed`. Not typically set on `declined` Inquiries — those carry `completed-at` from the transition that preceded the decision. - `marked-for-review-at` (datetime, required, nullable) - `decisioned-at` (datetime, required, nullable) - `expired-at` (datetime, required, nullable) - `redacted-at` (datetime, required, nullable) - `previous-step-name` (string, required, nullable) - `next-step-name` (string, required, nullable) - `fields` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFields, required) — JSON key-value pairs of field name to field value. Exact schema depends on the configuration of the Inquiry template for this Inquiry. - `birthdate` (date, optional, nullable) — Birthdate, must be in the format "YYYY-MM-DD". - `name-first` (string, optional, nullable) — Given or first name. - `name-middle` (string, optional, nullable) — Middle name. - `name-last` (string, optional, nullable) — Family or last name. - `phone-number` (string, optional, nullable) — Phone number. - `email-address` (string, optional, nullable) — Email address. - `social-security-number` (string, optional, nullable) — Social security number. - `address-street-1` (string, optional, nullable) — Street name of residence address. - `address-street-2` (string, optional, nullable) — Extension of residence address, usually apartment or suite number. - `address-city` (string, optional, nullable) — City of residence address. Not all international addresses use this attribute. - `address-subdivision` (string, optional, nullable) — State or subdivision of residence address. In the US, this should be the unabbreviated name. Not all international addresses use this attribute. - `address-postal-code` (string, optional, nullable) — ZIP or postal code of residence address. Not all international addresses use this attribute. - `address-subdivision-abbr` (string, optional, nullable) - `address-postal-code-abbr` (string, optional, nullable) - `identification-number` (string, optional, nullable) - `reviewer` (string, optional, nullable) — The email address or identifier of the reviewer who made the decision on this inquiry. For User reviewers, this is their email address. For Workflow reviewers, this is the workflow token. For API decisions, this is "api". - `reviewer-type` (string, optional, nullable) — The type of reviewer who made the decision. Can be "user", "workflow", "workflow-run", or "api". - `driver-license-number` (string, optional, nullable, deprecated) - `passport-number` (string, optional, nullable, deprecated) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationships - `account` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsAccount, optional) - `documents` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsDocuments, optional) - `template` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsTemplate, optional) — Only present for Legacy 2.0 inquiries - `inquiry-template` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsInquiryTemplate, optional) — Only present for Dynamic Flow inquiries - `inquiry-template-version` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsInquiryTemplateVersion, optional) — Only present for Dynamic Flow inquiries - `reports` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsReports, optional) - `transaction` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsTransaction, optional) - `selfies` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsSelfies, optional) - `sessions` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsSessions, optional) - `verifications` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsVerifications, optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFields JSON key-value pairs of field name to field value. Exact schema depends on the configuration of the Inquiry template for this Inquiry. - `name-first` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsNameFirst, optional) - `name-middle` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsNameMiddle, optional) - `name-last` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsNameLast, optional) - `address-street-1` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsAddressStreet1, optional) - `address-street-2` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsAddressStreet2, optional) - `address-city` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsAddressCity, optional) — City of residence address. Not all international addresses use this attribute. - `address-subdivision` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsAddressSubdivision, optional) — State or subdivision of residence address. In the US, this should be the unabbreviated name. Not all international addresses use this attribute. - `address-postal-code` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsAddressPostalCode, optional) — ZIP or postal code of residence address. Not all international addresses use this attribute. - `address-country-code` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsAddressCountryCode, optional) — ISO 3166-1 alpha 2 country code. - `birthdate` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsBirthdate, optional) - `email-address` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsEmailAddress, optional) - `phone-number` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsPhoneNumber, optional) - `driver-license-number` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsDriverLicenseNumber, optional, deprecated) - `passport-number` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsPassportNumber, optional, deprecated) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsAccount - `data` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsAccountData, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsDocuments - `data` (list of SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsDocumentsDataItems, optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsTemplate Only present for Legacy 2.0 inquiries - `data` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsTemplateData, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsInquiryTemplate Only present for Dynamic Flow inquiries - `data` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsInquiryTemplateData, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsInquiryTemplateVersion Only present for Dynamic Flow inquiries - `data` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsInquiryTemplateVersionData, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsReports - `data` (list of SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsReportsDataItems, optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsTransaction - `data` (SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsTransactionData, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsSelfies - `data` (list of SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsSelfiesDataItems, optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsSessions - `data` (list of SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsSessionsDataItems, optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsVerifications - `data` (list of SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsVerificationsDataItems, optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsNameFirst - `type` (string, optional) - `value` (string, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsNameMiddle - `type` (string, optional) - `value` (string, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsNameLast - `type` (string, optional) - `value` (string, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsAddressStreet1 - `type` (string, optional) - `value` (string, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsAddressStreet2 - `type` (string, optional) - `value` (string, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsAddressCity City of residence address. Not all international addresses use this attribute. - `type` (string, optional) - `value` (string, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsAddressSubdivision State or subdivision of residence address. In the US, this should be the unabbreviated name. Not all international addresses use this attribute. - `type` (string, optional) - `value` (string, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsAddressPostalCode ZIP or postal code of residence address. Not all international addresses use this attribute. - `type` (string, optional) - `value` (string, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsAddressCountryCode ISO 3166-1 alpha 2 country code. - `type` (string, optional) - `value` (string, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsBirthdate - `type` (string, optional) - `value` (string, optional, nullable) — Date of birth in YYYY-MM-DD format ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsEmailAddress - `type` (string, optional) - `value` (string, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsPhoneNumber - `type` (string, optional) - `value` (string, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsDriverLicenseNumber - `type` (string, optional) - `value` (string, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryAttributesFieldsPassportNumber - `type` (string, optional) - `value` (string, optional, nullable) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsAccountData - `id` (string, optional) - `type` ("account", optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsDocumentsDataItems - `id` (string, optional) - `type` (string, optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsTemplateData - `id` (string, optional) - `type` ("template", optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsInquiryTemplateData - `id` (string, optional) - `type` ("inquiry-template", optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsInquiryTemplateVersionData - `id` (string, optional) - `type` ("inquiry-template-version", optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsReportsDataItems - `id` (string, optional) - `type` (string, optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsTransactionData - `id` (string, optional) - `type` ("transaction", optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsSelfiesDataItems - `id` (string, optional) - `type` (string, optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsSessionsDataItems - `id` (string, optional) - `type` ("inquiry-session", optional) ### SelfieIncludedObjectsItemsDiscriminatorMappingInquiryRelationshipsVerificationsDataItems - `id` (string, optional) - `type` (string, optional) ## Examples **Response** ```json { "data": [ { "id": "inq_zEx4jL84ShbUyuwX6AzPSqt6", "attributes": { "status": "pending", "reference-id": "abc-123", "note": null, "behaviors": {}, "tags": [], "creator": "creator@withpersona.com", "reviewer-comment": null, "created-at": "2023-03-29T19:06:45.000Z", "updated-at": "2023-03-30T19:07:01.000Z", "started-at": "2023-03-30T19:07:01.000Z", "expires-at": "2023-03-31T19:07:01.000Z", "completed-at": null, "failed-at": null, "marked-for-review-at": null, "decisioned-at": null, "expired-at": null, "redacted-at": null, "previous-step-name": "start", "next-step-name": "verification_document", "fields": { "name-first": { "type": "string", "value": "Jane" }, "name-middle": { "type": "string", "value": "Marie" }, "name-last": { "type": "string", "value": "Doe" }, "address-street-1": { "type": "string", "value": "123 Main St" }, "address-street-2": { "type": "string", "value": null }, "address-city": { "type": "string", "value": "San Francisco" }, "address-subdivision": { "type": "string", "value": "California" }, "address-postal-code": { "type": "string", "value": "94111" }, "address-country-code": { "type": "string", "value": "US" }, "birthdate": { "type": "date", "value": "1995-09-08" }, "email-address": { "type": "string", "value": "jane@doe.com" }, "phone-number": { "type": "string", "value": null }, "driver-license-number": { "type": "string", "value": "YL123456" }, "passport-number": { "type": "string", "value": "P123456" } }, "birthdate": "1995-09-08", "name-first": "Jane", "name-middle": "Marie", "name-last": "Doe", "phone-number": null, "email-address": "jane@doe.com", "social-security-number": null, "address-street-1": "123 Main St", "address-street-2": null, "address-city": "San Francisco", "address-subdivision": "California", "address-postal-code": "94111", "address-subdivision-abbr": "CA", "address-postal-code-abbr": "94111", "identification-number": null, "reviewer": "reviewer@example.com", "reviewer-type": "user" }, "relationships": { "account": { "data": { "id": "act_n2uq9eKMboaCQzu9ALWYcVdN", "type": "account" } }, "documents": { "data": [] }, "template": { "data": {} }, "inquiry-template": { "data": { "id": "itmpl_p8ANAJy9iqadm2buF2xcVgqH", "type": "inquiry-template" } }, "inquiry-template-version": { "data": { "id": "itmplv_iXhqfNWqwYLAWs9G8Fm8hPfo", "type": "inquiry-template-version" } }, "reports": { "data": [] }, "selfies": { "data": [] }, "sessions": { "data": [] }, "verifications": { "data": [ { "id": "ver_uHDiwtcx3htjajvEaeMjPQcE", "type": "verification/database" } ] } }, "type": "inquiry" } ], "links": { "prev": null, "next": "/api/v1/inquiries?page%5Bafter%5D=inq_ByBdXDqUrguLAHjGZMuDZLCx" } } ``` **SDK Code** ```python Success import requests url = "https://api.withpersona.com/api/v1/inquiries" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Success const url = 'https://api.withpersona.com/api/v1/inquiries'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.withpersona.com/api/v1/inquiries" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api.withpersona.com/api/v1/inquiries") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.withpersona.com/api/v1/inquiries") .header("Authorization", "Bearer ") .asString(); ``` ```php Success request('GET', 'https://api.withpersona.com/api/v1/inquiries', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api.withpersona.com/api/v1/inquiries"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/inquiries")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```